<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bTransferencias,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	<HTML>
	

<head>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
 <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";
      }%>
<%String codigo="";
		codigo = request.getParameter("Codigo");
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";}
%>
	
  <title><%= resTit.getString("titVehTransferencias")%></title>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
     	     var docu=document.formTransferencias;
	         if (docu.Rango.value==""){
		        	alert(dameAlerta(idioma, 96));     	     
	         } else if ((docu.fdesde.value=="")||(docu.fhasta.value=="")){
		        	alert(dameAlerta(idioma, 37));
	         } else if ((docu.fdesde.value != "") && (docu.fhasta.value != "") && (!(comparaFechas(docu.fdesde.value, docu.fhasta.value))) )  {
			      	alert(dameAlerta(idioma, 67));
	         }else if (docu.Importe.value==""){
		        	alert(dameAlerta(idioma, 80));
	         }else if (docu.Rango.value==""){
		        	alert(dameAlerta(idioma, 96));
		     }else{
                formatearFecha(parent.document.formTransferencias.fdesde);
                formatearFecha(parent.document.formTransferencias.fhasta);
		     	 
		    	document.formTransferencias.Codigo.disabled=false;
		        document.formTransferencias.action="m05bGrabarTransferenciasServlet?Codigo="+codigo+"&Accion=" + accion;
		        document.formTransferencias.submit();}
		     	 
		        
			  }
		</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_TRANSFERENCIAS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_TRANSFERENCIAS%>";		
</script>			

<%@include file="m05bVehiEconomicoFijo.inc"%>			
			
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<FORM NAME="formTransferencias" METHOD="POST">
		<%
		//String sql = "";
		m05bCombo miCombo= new m05bCombo();
		m05bFileLog miLog = new m05bFileLog(); 
		String mensaje;
		String accion="";
		String codigo2="";
		String sFdesde="";
		String sFhasta="";
		String sRango="";
		String sImporte="";
		m05bTransferencias transfe = null;
		StringBuffer sql = new StringBuffer();
		StringBuffer sqlAux = new StringBuffer();
		sql.append("SELECT ").append(m05bConstantes.COL_40_CODIGO);
		sql.append(" FROM ").append(m05bConstantes.TAB_TRANSFERENCIAS);
		sql.append(" ORDER BY ").append(m05bConstantes.COL_40_CODIGO).append(" DESC");
		
		sqlAux.append("SELECT MAX(").append(m05bConstantes.COL_40_CODIGO);
		sqlAux.append(") FROM ").append(m05bConstantes.TAB_TRANSFERENCIAS);
		sqlAux.append(" WHERE ").append(m05bConstantes.COL_40_MATRICULA).append(" = '").append(matricula).append("'");
		
		miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
	try {
        conexion = miConexion.getConnection();
        conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           

		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bTransferencias");


		           //m05bbBeginSelect(sql2.toString());

                   pstmt2 = conexion.prepareStatement(sql.toString());
		           rs2 = pstmt2.executeQuery();		           
		           int cod=0;
		           //m05bRS = m05bPStmt.executeQuery();
		           if  (rs2.next() == true){
		            codigo=rs2.getString(m05bConstantes.COL_40_CODIGO);
		           }
		           cod=Integer.parseInt(codigo);

		           cod++;
		           codigo=Integer.toString(cod);
		           if (rs2 != null)
					rs2.close();
				   if (pstmt2 != null)
					pstmt2.close();
		           //m05bEndSelect();


		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			pstmt2 = conexion.prepareStatement(sqlAux.toString());
		    rs2 = pstmt2.executeQuery();		    
			if  (rs2.next() == true){
		         codigo2=rs2.getString(1);
		    }
		   if (rs2 != null)
			   rs2.close();
		   if (pstmt2 != null)
			   pstmt2.close();
		    miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "codigo2: " + codigo2, m05bConstantes.LOG_NIVEL_BAJO);
			transfe = (m05bTransferencias)session.getAttribute("m05bTransferencias");
		}
		 if (transfe == null){
			transfe = new m05bTransferencias();
			session.setAttribute("m05bTransferencias",transfe);
		}

		//String matricula="";
		matricula=request.getParameter("Matricula");
		//m05bComun comun= new m05bComun();

		sFdesde =transfe.getTra_fdesde();
		if (sFdesde==null || sFdesde.equals(""))
		    sFdesde="";
		else
		sFdesde=comun.Mes(sFdesde,campoTexto3);
		sFhasta=transfe.getTra_fhasta();
		if (sFhasta==null || sFhasta.equals(""))
		    sFhasta="";
		else
		sFhasta=comun.Mes(sFhasta,campoTexto3);
        sRango=transfe.getTra_rango();
        if (sRango==null)
	          sRango="";
	    sImporte=transfe.getTra_importe();
		//if (sImporte==null || sImporte.equals("NULL")|| sImporte.equals("0"))
		///	sImporte="";
      } catch (Exception SQLException){
		        miLog.addTraza(SQLException);
		    } finally {
		        //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		        
		}
	    
		%>
		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
                    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\			  	
			  		<a href="<%=m05bConstantesPaginas.VEH_GESTION_TRANSFERENCIAS%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmRelTransferencias")%></a>\<font class="CMV" ><%=resCM.getString("cmMtoTransferencias")%></FONT>
			    </td>
			 </tr>
		</table>				
     <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1"))) {%>
       <TABLE class="buscar" width="100%">
		    <tr>
		       <td  align="right"  width="50%"> 
		     <% if	(accion==m05bConstantes.ACC_ACTUALIZAR){%>
		         <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/eliminar.gif"/-->                  
		         <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />			      					  		         
		     <%}%>
                <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/> </td-->
                <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					                  
              </tr>
		  </TABLE>
     <%}%>		
		  <TABLE class="buscar">
		    <tr>
		      <td valign="top" width="25%" colspan="3" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td valign="top" width="80%" colspan="4" align="left" class="inputFieldTitle"><%= res.getString("etRango")%></td>
		    </tr>
		    <tr>
			  <td align="left" colspan="2"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" disabled size="10" maxlength="10" /> </td>
  		      <td valign="top" width="10%"></td>
			  <td align="left" colspan="4">
					<select class=inputFieldOblig  NAME="Rango" onchange="JavaScript:blur();" onblur="javascript:borrar_buffer();document.formTransferencias.Rango.focus=false;" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer()">
							<option value=""> </option>
							<%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, sRango)%>
					</select>
			  </td>
		    </tr>
		    <tr>
		      <td valign="top" width="25%" colspan="3" align="left" class="inputFieldTitle"><%= res.getString("etFechaDesde")%></td>
		      <td valign="top" width="20%" colspan="3" align="left" class="inputFieldTitle"><%= res.getString("etFechaHasta")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		    </tr>
		    <tr>
		      <td width="10%" align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="fdesde" VALUE="<%=sFdesde%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">&nbsp;&nbsp;</td>
		      <td width="5%" align="left"><a href='#' name='anchorFDesde'  onClick='JavaScript:showCalendar("anchorFDesde",idioma,document.all("fdesde"),true,25,10,2002);cambiaPosCal(20,220);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></td>
  		      <td valign="top" width="10%"></td>
    	      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="fhasta" VALUE="<%=sFhasta%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">&nbsp;&nbsp;</td>
		      <td align="left" width="5%"><a href='#' name='anchorFHasta'  onClick='JavaScript:showCalendar("anchorFHasta",idioma,document.all("fhasta"),true,25,10,2002);cambiaPosCal(220,390);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario2"/></td>
  		      <td valign="top" width="5%"></td>
  		      <% if (accion.equals(m05bConstantes.ACC_ACTUALIZAR) && (!(codigo.equals(codigo2))))
  		         {%>
  		           <td align="left" width="60%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Importe" readonly VALUE="<%=sImporte%>" size="15" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/> </td>
  		         <%} else { %>
  		         <td align="left" width="60%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Importe"  VALUE="<%=sImporte%>" size="15" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/> </td>
		         <%}%>
		    </tr>
		  </TABLE>
		<input type="hidden" name="Matricula" value="<%=matricula%>">
		<INPUT type="hidden" NAME="ImporteAnt" VALUE="<%=sImporte%>">
<script>
    formatNumeroDecimal(document.formTransferencias.ImporteAnt,6,2);
    formatNumeroDecimal(document.formTransferencias.Importe,6,2);
    formatearFecha(parent.document.formTransferencias.fdesde);
    formatearFecha(parent.document.formTransferencias.fhasta);
</script>	
<% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formTransferencias.Codigo.readOnly=true;
                      document.formTransferencias.Rango.disabled=true;
                      document.formTransferencias.fdesde.readOnly=true;
                      document.formTransferencias.fhasta.readOnly=true;
                      document.formTransferencias.Importe.readOnly=true;
                      document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      document.all["calendario2"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                </SCRIPT>
     <%}%>

</FORM>
					</td>
					</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>